Package org.italiangrid.voms.request

# Interface VOMSACRequest

All Known Implementing Classes:
  `DefaultVOMSACRequest`

public interface VOMSACRequest
A request for a VOMS Attribute certificate.

Author:
  Andrea Ceccanti

## Method Summary

Modifier and Type
Method
Description
`int`
`getLifetime()`
`List<String>`
`getRequestedFQANs()`
`List<String>`
`getTargets()`
`String`
`getVoName()`

## Method Details

### getLifetime

int getLifetime()

Returns:
  the lifetime for this `VOMSACRequest`.

### getRequestedFQANs

List<String> getRequestedFQANs()

Returns:
  the list of the requested FQANs specified in this `VOMSACRequest` object.

### getTargets

List<String> getTargets()

Returns:
  the list of targets (i.e., host where the requested ACs will be valid) for this `VOMSACRequest` object.

### getVoName

String getVoName()

Returns:
  the name of the VO this `VOMSACRequest` object is about.